/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.CortesiaBeneficiarioDAO;
import com.rjconsultores.ventaboletos.entidad.CortesiaBeneficiario;
import com.rjconsultores.ventaboletos.service.CortesiaBeneficiarioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Shiro
 */
@Service("cortesiaBeneficiarioService")
public class CortesiaBeneficiarioServiceImpl implements CortesiaBeneficiarioService{

    @Autowired
    private CortesiaBeneficiarioDAO cortesiaBeneficiarioDAO;

    public List<CortesiaBeneficiario> obtenerTodos() {
        return cortesiaBeneficiarioDAO.obtenerTodos();
    }

    public CortesiaBeneficiario obtenerID(Integer id) {
        return cortesiaBeneficiarioDAO.obtenerID(id);
    }

    @Transactional
    public CortesiaBeneficiario suscribir(CortesiaBeneficiario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return cortesiaBeneficiarioDAO.suscribir(entidad);
    }

    @Transactional
    public CortesiaBeneficiario actualizacion(CortesiaBeneficiario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return cortesiaBeneficiarioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(CortesiaBeneficiario entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        cortesiaBeneficiarioDAO.actualizacion(entidad);
    }


}
